/// <reference types="react" />
declare type TagOrHTML = keyof JSX.IntrinsicElements | string;
/** Tests if the component mounts into the page and displays as defaulted */
declare const renders: (componentTagOrHTML: TagOrHTML, options?: {
  display?: string;
  visible?: boolean;
}) => Promise<void>;
interface CustomInputOptions extends HTMLInputElement {
  customValue: string;
  readonly: string;
}
declare const inputFormSubmit: (options: CustomInputOptions, componentName?: string) => Promise<void>;
export { renders, inputFormSubmit };
